diff --git a/src/backend/optimizer/path/allpaths.c b/src/backend/optimizer/path/allpaths.c
index b263359..f658c8b 100644
--- a/src/backend/optimizer/path/allpaths.c
+++ b/src/backend/optimizer/path/allpaths.c
@@ -2096,7 +2096,7 @@ generate_gather_paths(PlannerInfo *root, RelOptInfo *rel)
 {
 	Path	   *cheapest_partial_path;
 	Path	   *simple_gather_path;
-	ListCell   *lc;
+	//ListCell   *lc;
 
 	/* If there are no partial paths, there's nothing to do here. */
 	if (rel->partial_pathlist == NIL)
@@ -2112,7 +2112,7 @@ generate_gather_paths(PlannerInfo *root, RelOptInfo *rel)
 		create_gather_path(root, rel, cheapest_partial_path, rel->reltarget,
 						   NULL, NULL);
 	add_path(rel, simple_gather_path);
-
+#if 0
 	/*
 	 * For each useful ordering, we can consider an order-preserving Gather
 	 * Merge.
@@ -2129,6 +2129,7 @@ generate_gather_paths(PlannerInfo *root, RelOptInfo *rel)
 										subpath->pathkeys, NULL, NULL);
 		add_path(rel, &path->path);
 	}
+#endif
 }
 
 /*
